Package org.apache.storm.container.oci

## Class HdfsManifestToResourcesPlugin

- java.lang.Object
- - org.apache.storm.container.oci.HdfsManifestToResourcesPlugin

- All Implemented Interfaces:
    `OciManifestToResourcesPluginInterface`

      public class HdfsManifestToResourcesPlugin
      extends Object
      implements OciManifestToResourcesPluginInterface

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HdfsManifestToResourcesPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OciResource` | `getConfigResource​(ImageManifest manifest)` | Get the image config information from the manifest.
    `List<OciResource>` | `getLayerResources​(ImageManifest manifest)` | Get the layers information from the manifest.
    `void` | `init​(Map<String,​Object> conf)` | Initialization.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HdfsManifestToResourcesPlugin

          public HdfsManifestToResourcesPlugin()

  - ### Method Detail

    - #### init

          public void init​(Map<String,​Object> conf)
                    throws IOException

      Description copied from interface: `OciManifestToResourcesPluginInterface`
      Initialization.
      Specified by:
        `init` in interface `OciManifestToResourcesPluginInterface`
      Parameters:
        `conf` - the storm conf
      Throws:
        `IOException` - on I/O exception

    - #### getLayerResources

          public List<OciResource> getLayerResources​(ImageManifest manifest)
                                              throws IOException

      Description copied from interface: `OciManifestToResourcesPluginInterface`
      Get the layers information from the manifest. The layers should be returned in the order in which they appear in the manifest
      Specified by:
        `getLayerResources` in interface `OciManifestToResourcesPluginInterface`
      Parameters:
        `manifest` - the manifest of a image
      Returns:
        a list of layers information
      Throws:
        `IOException` - on I/O exception

    - #### getConfigResource

          public OciResource getConfigResource​(ImageManifest manifest)
                                        throws IOException

      Description copied from interface: `OciManifestToResourcesPluginInterface`
      Get the image config information from the manifest.
      Specified by:
        `getConfigResource` in interface `OciManifestToResourcesPluginInterface`
      Parameters:
        `manifest` - the manifest of a image
      Returns:
        the config of this image
      Throws:
        `IOException` - on I/O exception